

<div class="container">
    <app-asset-button></app-asset-button>
    <br>

    <div class="row">
    <span class="col-6" style="float: left">
      <button type="button" class="btn btn-info" data-toggle="modal" (click)="addAsset()" data-target="#lesser-Slider">Add Lessor
      </button>
    </span>
        <span class="col-3" style="float: left">
      <button type="button" class="btn btn-info" data-toggle="modal" (click)="downLoadPdf()" >Download Lessor
      </button>
    </span>
        <span class="col-3 pull-right" >
      <div class="input-group">
           <input name="term" [(ngModel)]="term"  class="form-control" placeholder="Search Lesser Name">

      </div>
    </span>
    </div>
    <br>
</div>

<div class="container">
    <div class="row">
        <table class="table table-bordered">
            <thead>
            <tr>
                <th>Lessor Name</th>
                <th>Lesser Code</th>
                <th>Phone Number</th>
                <th>State</th>
                <th>Address</th>
                <th>Area</th>
                <th>City</th>
                <th>Pin code</th>
                <th>Email Id</th>
                <th>Pan Code</th>
                <th>GST Code</th>
                <th>DOJ</th>
                <th>Status</th>
                <th>EDIT</th>
                <th>DELETE</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let lesserAsset of lesserAssetList | grdFilter: {lesserName: term};">
                <td>{{lesserAsset.lesserName}}</td>
                <td>{{lesserAsset.LesserCode}}</td>
                <td>{{lesserAsset.phoneNumber}}</td>
                <td>{{lesserAsset.state}}</td>
                <td>{{lesserAsset.address}}</td>
                <td>{{lesserAsset.area}}</td>
                <td>{{lesserAsset.city}}</td>
                <td>{{lesserAsset.pincode}}</td>
                <td>{{lesserAsset.emailId}}</td>
                <td>{{lesserAsset.Pan}}</td>
                <td>{{lesserAsset.gst}}</td>
                <td>{{lesserAsset.DOJ}}</td>
                <td>{{lesserAsset.status}}</td>
                <td>
                    <button type="button" class="btn btn-warning" data-toggle="modal"
                            (click)="editIntermediateLesser(lesserAsset)" data-target="#lesser-Slider">Edit
                    </button>
                </td>
                <td>
                    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal"
                            (click)="intermerdiateDeleteTranasaction(lesserAsset)">Delete
                    </button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="col-md-12  col-sm-12 d-flex justify-content-center" style="margin-top: 10px" *ngIf="pagination.totalPageCount>0">
        <ngb-pagination class="d-flex justify-content-center "
                        [collectionSize]="pagination.totalPageCount"
                        [(page)]="pagination.currentPage" [maxSize]="3"
                        [rotate]="true"
                        [boundaryLinks]="true"
                        (pageChange)="getDataByPageNo($event)"
                        [pageSize]="pagination.recordsPerPage"
                        aria-label="Default pagination">

        </ngb-pagination>
    </div>
</div>
<!--(syncUpdateAssetCartEvent)="syncUpdateAssetCart($event)"-->
<div>
    <div class="modal fade right" id="lesser-Slider" tabindex="-1" role="dialog" style="overflow: auto">
        <div class="modal-dialog modal-lg  modal-lg   form-modal" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background:#7986CB">
                    <button type="button" class="close closeColor" id="modal-close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title uppercase" *ngIf="!isEdit">ADD Lesser</h4>
                    <h4 class="modal-title uppercase"  *ngIf="isEdit">EDIT Lesser</h4>
                </div>

                <div class="modal-body">
                    <app-lesser-asset-from (assetAdded)="assetLesserAdded($event)"  [lesserEditId]="lesserEditDetails._id" [isEditMode]="isEdit"></app-lesser-asset-from>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="deleteModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Delete Lesser Conformation</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                Are you sure u want to delete lesser {{lesserDetails.lesserName}}
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)="deleteLesserDetails(lesserDetails)">Delete</button>
                <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>





